> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/pt/editores/exoclick-rtb/bid-request.md).

# Pedido de lance do ExoClick RTB

A solicitação de lance RTB da ExoClick é feita usando JSON para POST e um URL para GET. Solicitações XML não são permitidas para POST.

## Cabeçalhos da solicitação de lance

* **Cabeçalho HTTP da versão RTB da ExoClick**: `x-exadsrtb-version: 1.0`
* **Cabeçalho HTTP Keep-Alive**: `Connection: Keep-Alive`
* **JSON do conteúdo**: `Content-Type: application/json`
* **Cabeçalho de codificação de dados**: `Accept-Encoding`

### Objeto da solicitação de lance

| Atributo          | Obrigatório?                | Descrição                                                                                                                                                                                 |
| ----------------- | --------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | Sim                         | ID exclusivo da solicitação de lance (string)                                                                                                                                             |
| `ip`              | Sim                         | Endereço IP do utilizador (string)                                                                                                                                                        |
| `language`        | Sim                         | Idioma do navegador usando ISO-639-1-alpha-2 (string)                                                                                                                                     |
| `remove_addr`     | Não                         | Endereço IP principal do usuário (string)                                                                                                                                                 |
| `x_forwarded_for` | Não                         | Endereço IP X-FORWARDED-FOR do usuário ou vazio se não estiver definido (string)                                                                                                          |
| `type`            | Sim                         | Tipo de pedido. Pode ser “banner”, “popunder”, "direct\_link", "email\_click"\*, “push\_notification” ou "in\_page\_push\_notification" (string)                                          |
| `ua`              | Sim                         | User agent do navegador (string)                                                                                                                                                          |
| `url`             | Sim                         | URL completa da página onde o anúncio será exibido (string)                                                                                                                               |
| `user_id`         | Sim                         | ID exclusivo do usuário (string)                                                                                                                                                          |
| `sub`             | Não                         | Isto deve ser um número entre seis e dez dígitos: Não use zeros no início dos Sub IDs.                                                                                                    |
| `exportar`        | Sim                         | Tipo de resposta. Pode ser "json" ou "xml" (string)                                                                                                                                       |
| `keyword`         | Não                         | As palavras-chave podem ser usadas para garantir que as zonas de anúncios recebam o tipo certo de publicidade. As palavras-chave devem ser uma string de palavras separadas por vírgulas. |
| `tamanho`         | Obrigatório para banner\*\* | Tamanho do tipo de anúncio do editor (string)                                                                                                                                             |
| `el`              | Não                         | Email codificado em Base64. Disponível apenas para Email Clicks e Direct Link (string)                                                                                                    |

***

**Notas:**

* `"email_click"` como tipo precisa de ser especificado apenas em pedidos GET.
* Em pedidos Push, se o size for omitido, o valor predefinido será `192x192` para compatibilidade retroativa.
* Os Sub IDs devem ser um número entre 1 e [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): Não use zeros no início dos Sub IDs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/pt/editores/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
